Bug 219382 - science/openbabel: Update to 2.4.1
Summary: science/openbabel: Update to 2.4.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Danilo G. Baio
URL: https://reviews.freebsd.org/D10837
Keywords:
Depends on:
Blocks:
 
Reported: 2017-05-18 15:04 UTC by Yuri Victorovich
Modified: 2017-05-24 01:46 UTC (History)
1 user (show)

See Also:


Attachments
patch (45.96 KB, patch)
2017-05-18 15:04 UTC, Yuri Victorovich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2017-05-18 15:04:17 UTC
Created attachment 182702 [details]
patch

Removed patches:
* patch-git_c3abbdda and patch-gcc5-support: patches from github have been integrated upstream.
* patch-scripts__CMakeLists.txt - builds without it.

Builds in poudriere.
Comment 1 Danilo G. Baio freebsd_committer 2017-05-19 11:37:20 UTC
I'll take it.
Comment 2 commit-hook freebsd_committer 2017-05-24 01:43:07 UTC
A commit references this bug:

Author: dbaio
Date: Wed May 24 01:43:01 UTC 2017
New revision: 441557
URL: https://svnweb.freebsd.org/changeset/ports/441557

Log:
  science/openbabel: Update to 2.4.1

  Patches removed:
    patch-git_c3abbdda, patch-gcc5-support (Integrated upstream)
    patch-scripts__CMakeLists.txt (Builds without it)

  While here, set LICENSE and simplify BUILD_DEPENDS.

  Changes: https://github.com/openbabel/openbabel/releases

  PR:	219382
  Submitted by:	Yuri Victorovich <yuri@rawbw.com>
  Approved by:	garga (mentor)
  Differential Revision:	https://reviews.freebsd.org/D10837

Changes:
  head/science/openbabel/Makefile
  head/science/openbabel/distinfo
  head/science/openbabel/files/
  head/science/openbabel/pkg-plist
Comment 3 Danilo G. Baio freebsd_committer 2017-05-24 01:46:16 UTC
Committed with slight change, thank you.